%define _libexecdir %_prefix/libexec
%define _haldocdir  %_docdir/lib%name-devel-%version

%def_disable console_kit
%def_disable policy_kit

Name: hal
Version: 0.5.9.1
Release: alt3

Summary: Hardware Abstraction Layer
Summary(ru_RU.UTF-8): HAL - прослойка для абстрагирования оборудования
Summary(be_BY.UTF-8): HAL (Hardware Abstraction Layer) - праслойка абстрагаваньня абсталяваньня

Group: System/Servers
License: AFL/GPL
Url: http://www.freedesktop.org/wiki/Software/hal

Source0: http://people.freedesktop.org/~david/dist/%name-%version.tar.gz

Source2: %name-device-manager.desktop
Source3: %name-be.po.bz2

Source100: %name.init

Patch0: hal-0.5.9.1-alt-autoconf.patch
Patch2: hal-0.5.9-alt-dir.patch
Patch3: hal-0.5.8.1-alt-hibernate.patch
Patch4: hal-0.5.8.1-alt-partutil.patch
Patch5: hal-0.5.8-SuSE-hal-fix-storage-policy-fixed-drives.patch
Patch7: hal-0.5.9.1-alt-man.patch
Patch8: hal-0.5.9-alt-parted.patch
Patch9: hal-0.5.9-alt-policy.patch
Patch10: hal-0.5.9.1-alt-crypt.patch
Patch11: hal-0.5.9.1-alt-vfat-flush.patch

Conflicts: hal-fstab-sync
PreReq: lib%name = %version-%release dbus udev
%if_enabled console_kit
PreReq: ConsoleKit >= 0.2.0
%endif
%if_enabled policy_kit
PreReq: PolicyKit >= 0.3
%endif
Requires: hal-info dmidecode

AutoReq: yes, noshell
# Automatically added by buildreq on Mon Feb 26 2007 (-bi)
BuildRequires: docbook-utils gcc-c++ gtk-doc intltool libdbus-glib-devel libexpat-devel
BuildRequires: libusb-devel libvolume_id-devel perl-XML-Parser python-dev
BuildRequires: python-modules-compiler python-modules-encodings libsmbios-devel xmlto
%if_enabled console_kit
BuildRequires: libConsoleKit-devel >= 0.2.0
%endif
%if_enabled policy_kit
BuildRequires: libPolicyKit-devel >= 0.3
%endif

%description
HAL is daemon for collection and maintaining information from several
sources about the hardware on the system. It provdes a live device
list through D-BUS.

%description -l ru_RU.UTF-8
HAL - это прослойка, абстрагирующая оборудование

%description -l be_BY.UTF-8
HAL (Hardware Abstraction Layer) - праслойка абстрагаваньня абсталяваньня

%package dell-backlight
Summary: Addon and policy for Dell backlight support
Group: System/Configuration/Hardware
Requires: %name = %version-%release libsmbios-tools

%description dell-backlight
This is for controlling LCD brightness on DELL computers.
DELL require the use of libsmbios to control the panel together with the dcdbas kernel module.

%package gnome
Summary: GTK based device manager for HAL
Summary(ru_RU.UTF-8): Менеджер устройств для HAL
Summary(be_BY.UTF-8): Кіраўнік прыладаў для HAL які базуецца на GTK
Group: System/Configuration/Hardware
Requires: %name = %version-%release
Requires: python-module-pygnome python-module-pygnome-bonobo python-module-pygtk-libglade
Obsoletes: %name-manager < %version-%release
Provides: %name-manager = %version-%release

%description gnome
GTK program for displaying the devices detected by HAL

%description gnome -l ru_RU.UTF-8
Менеджер устройств для HAL.

%description gnome -l be_BY.UTF-8
Кіраўнік прыладаў для HAL які базуецца на GTK.

%package -n lib%name
Summary: Shared libraries for HAL
Group: System/Libraries
Requires: hwdatabase

%description -n lib%name
This package provides shared libraries for HAL.

%package -n lib%name-devel
Summary: Libraries and headers for HAL
Summary(be_BY.UTF-8): Файлы распрацоўкі патрэбныя для пабудовы дастасаваньняў з %name
Summary(ru_RU.UTF-8): Файлы разработки нужные для построения приложений с %name
Group: Development/C
Requires: lib%name = %version-%release
Obsoletes: %name-devel < %version-%release lib%name-devel-doc < %version-%release
Provides: %name-devel = %version-%release lib%name-devel-doc = %version-%release

%description -n lib%name-devel
Headers for HAL.

%description -n lib%name-devel -l be_BY.UTF-8
Файлы распрацоўкі патрэбныя для пабудовы дастасаваньняў з %name

%description -n lib%name-devel -l ru_RU.UTF-8
Файлы разработки нужные для построения приложений с %name

%prep
%setup -q

%patch0 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1

bzcat %SOURCE3 > po/be.po
%__subst 's,\(ALL_LINGUAS=\"\),\1be ,' configure.in

%build
intltoolize --force
%__autoreconf
%configure \
	--disable-static \
	--enable-docbook-docs \
	--enable-gtk-doc \
	--with-doc-dir=%_haldocdir \
	--with-html-dir=%_haldocdir/api \
	--enable-acl-management \
	--enable-acpi-ibm \
	--enable-acpi-toshiba \
	--disable-acpi-proc \
	--disable-pmu \
	%{subst_enable console_kit} \
	%{subst_enable policy_kit} \
	%{subst_with dell_backlight} \
	--with-hal-user=haldaemon \
	--with-hal-group=haldaemon \
	--with-hwdata=%_datadir/hwdatabase \
	--with-pid-file=%_var/run/hal.pid \
	--localstatedir=%_var

%make -C doc/api ||:
%make_build

%install
%make DESTDIR=%buildroot install

%__mkdir_p %buildroot%_var/{run,cache}/hald
%__mkdir_p %buildroot%_sysconfdir/hal/fdi/{information,policy,preprobe}
%__install -Dp -m755 %SOURCE100 %buildroot%_initdir/haldaemon
%__install -Dp -m644  %SOURCE2 %buildroot%_desktopdir/hal-device-manager.desktop

%find_lang %name

%triggerun -n %name -- %name < 0.5.7
if [ $2 -gt 0 ]; then
    /sbin/chkconfig --del hal
    /sbin/chkconfig --add haldaemon
fi

%pre
%_sbindir/groupadd -r -f haldaemon >/dev/null 2>&1 || :
%_sbindir/useradd -r -g haldaemon -d '/' -s /sbin/nologin -c "HAL daemon" haldaemon >/dev/null 2>&1 ||:

%post
%post_service haldaemon

%preun
%preun_service haldaemon

%post -n lib%name
%post_ldconfig

%postun -n lib%name
%postun_ldconfig

%files -f %name.lang
%doc AUTHORS NEWS README doc/TODO
%config(noreplace) %verify(not size mtime md5) %_sysconfdir/dbus*/system.d/hal.conf
%_sysconfdir/udev/rules.d/90-hal.rules
%_initdir/haldaemon
%dir %_sysconfdir/hal
%dir %_sysconfdir/hal/fdi
%dir %_sysconfdir/hal/fdi/information
%dir %_sysconfdir/hal/fdi/policy
%dir %_sysconfdir/hal/fdi/preprobe
%_sbindir/*
%_bindir/hal-device
%_bindir/hal-find*
%_bindir/hal-set*
%_bindir/hal-get*
%_bindir/hal-is*
%_bindir/hal-lock
%_bindir/hal-disable-polling
%_bindir/lshal
%_libexecdir/hal
%dir %_datadir/hal
%_datadir/hal/fdi
%_datadir/hal/scripts
%_man1dir/*.1*
%_man8dir/*.8*
%attr(0775,root,haldaemon) %_var/*/hald

%exclude %_libexecdir/hal/hald-addon-dell-backlight
%exclude %_datadir/hal/fdi/policy/10osvendor/10-dell-laptop-brightness.fdi

%files dell-backlight
%_libexecdir/hal/hald-addon-dell-backlight
%_datadir/hal/fdi/policy/10osvendor/10-dell-laptop-brightness.fdi

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_haldocdir
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*

%files gnome
%_bindir/hal-device-manager
%dir %_datadir/hal
%_datadir/hal/device-manager
%_desktopdir/*.desktop

%changelog
* Fri Sep 07 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.5.9.1-alt3
- update hal-0.5.9.1-alt-crypt.patch

* Mon Jul 30 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.5.9.1-alt2
- separate hal-info to hal-info package

* Mon Jun 25 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.5.9.1-alt1
- 0.5.9.1
- hal-info-20070618

* Sun Jun 17 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.5.9-alt14
- added conflicts: hal-fstab-sync

* Thu May 24 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.5.9-alt13
- fixed luks-encrypted devices support, broken other stuff. thanks Sergey Bolshakov

* Mon May 21 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.5.9-alt12
- hal-info-20070516
- added hal-0.5.9-git-property-changed.patch: fix problem with repeated
  property-changed signals

* Wed Apr 04 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.5.9-alt11
- added create group haldaemon (close #11349)

* Tue Apr 03 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.5.9-alt10
- hal-0.5.9 release
- hal-info-20070402

* Mon Apr 02 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.5.9-alt9
- hal-0.5.9 GIT snapshot 2007-04-02 (9e04dee76ae5f46c1292dcea094b6fdcc38c68a5)
- fixed a bug with unauthorized reboot/shutdown. Now only privileged or console
   users can perform these operations. thanks Alexey Morozov

* Sun Apr 01 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.5.9-alt8
- hal-0.5.9 GIT snapshot 2007-04-01 (e0d3327b68fc043e6ac8a1b0bdf97249476a3968)
- hal-info-20070328

* Thu Mar 22 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.5.9-alt7
- hal-0.5.9 GIT snapshot 2007-03-22 (0cd8dccc8382f26d3b3f68f6131aefd08b134232)
- hal-info GIT snapshot 2007-03-22 (58917de0ae967c0fb7c52513521090de18599c24)

* Wed Mar 14 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.5.9-alt6
- hal-0.5.9 GIT snapshot 2007-03-13 (c9cde9a767168fe9151695142baaae06d5e0827b)
- hal-info-20070313
- drop hal-0.5.3-alt-libhal-storage-mopts_collect-allow-string-options.patch

* Sat Mar 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.5.9-alt5
- hal-0.5.9 GIT snapshot 2007-03-07 (b53fd153f48c55ac9fcb677f1ecaea47b6f9ca3a)
  + libhal: validate parameter to be != NULL
  + fix scsi_host parent relationship
  + make the fdi cache test stricter by not allowing skipped fdi files
- hal-info GIT snapshot 2007-03-07 (98b34973933fc6db1735ae94053ed369826226f7)
  + fix up vbestate_restore for display resuming
  + added iRiver T20 to USB musicplayers list

* Tue Mar 06 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.5.9-alt4
- moved addon and policy for Dell backlight support to subpackge %name-dell-backlight

* Tue Mar 06 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.5.9-alt3
- hal-0.5.9 GIT snapshot 2007-03-06 (c31c32b8b7c0fed9c871da947f35922e03ad6ed3)
- hal-info-20070304
- build with Dell backlight support
- disabled Macbook Pro utils
- disabled PMU support

* Mon Mar 05 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.5.9-alt2
- hal-0.5.9 GIT snapshot 2007-03-05 (0c16761e61064979daa7b39ce0083f064676e578)
- added iocharset=utf8 to mount options for ntfs
- moved API doc to lib%name-devel

* Thu Mar 01 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.5.9-alt1
- hal-0.5.9 GIT snapshot 2007-03-01 (f5b862f5690106bb3d5500b1091d12f089bae070)
- hal-info GIT snapshot 2007-02-28 (302840ec67441f55ba07cae9991538e6c91f7fdc)
- fixed requires for lib%name-devel

* Wed Feb 28 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.5.8.1-alt4
- added to hide fixed storage devices
- added IBM Hotkey support
- fix syntax error in configure script

* Tue Feb 27 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.5.8.1-alt3
- fixed requires for %name-gnome

* Tue Feb 27 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.5.8.1-alt2
- fixed hibernate support

* Sun Feb 25 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.5.8.1-alt1
- 0.5.8.1
- spec cleanup
- updated build dependencies
- drop lib%name-devel-doc subpackage
- renamed subpackage %name-manager to %name-gnome

* Wed Jan 03 2007 Igor Zubkov <icesik@altlinux.org> 0.5.7-alt4.1.1.1.1
- NMU
- add python-module-pygnome-bonobo to requires of hal-manager subpackage (#8230)

* Mon Dec 25 2006 Igor Zubkov <icesik@altlinux.org> 0.5.7-alt4.1.1.1
- NMU
- rebuild
- bump buildrequires libdbus-devel >= 0.94

* Mon Dec 11 2006 Igor Zubkov <icesik@altlinux.org> 0.5.7-alt4.1.1
- NMU
- fix build with new dbus

* Mon Jun 19 2006 Sergey A. Sukiyazov <corwin@altlinux.ru> 0.5.7-alt4.1
- Add patch that makes hald not stat nfs and autofs mounts

* Fri May 26 2006 Anton Farygin <rider@altlinux.ru> 0.5.7-alt4
- fixed trigger

* Mon Apr 17 2006 Anton Farygin <rider@altlinux.ru> 0.5.7-alt3
- service hal renamed to haldaemon
- removed obsoleted policy for charsets
- updated requires to new udev and dbus

* Fri Apr 14 2006 Anton Farygin <rider@altlinux.ru> 0.5.7-alt2
- updated to new version

* Wed Nov 16 2005 Anton Farygin <rider@altlinux.ru> 0.5.5.1-alt1
- updated to new version
- disabled shell requires searching
- added PalmOne Tungsten|T3 support (#8478)
- added Explay SD/MMC Carder (Realtek 2.0 Card Reader) supporrt (#8477)
- fixed ntfs mount options (#8494)

* Thu Oct 20 2005 Anton Farygin <rider@altlinux.ru> 0.5.4-alt6
- added patches from HEAD and SuSE:
    hal-0.5.4-acpi_reconnect.patch
    hal-fix-seqfault_if_addon_missing.diff
- disabled acpi-proc by default (always use acpid socket)
- todo() function renamed to _todo() in hal-system-power-set-power-save 
    (workarond for rpm-build bug #8211)

* Mon Oct 10 2005 Anton Farygin <rider@altlinux.ru> 0.5.4-alt5
- typo in storagepolicy fixed

* Fri Sep 30 2005 Anton Farygin <rider@altlinux.ru> 0.5.4-alt4
- policy for floppy fixed
- charset for cdrom devices fixed (#8067)
- mount option "sync" removed for usb devices

* Tue Sep 13 2005 Anton Farygin <rider@altlinux.ru> 0.5.4-alt3
- storage policy for floppy devices fixed (#7551)
- libhal-devel added requires to libdbus-devel (#7863)

* Fri Sep 02 2005 Anton Farygin <rider@altlinux.ru> 0.5.4-alt2.1
- fix for previos fix

* Wed Aug 31 2005 Anton Farygin <rider@altlinux.ru> 0.5.4-alt2
- requires fixed

* Mon Aug 29 2005 Anton Farygin <rider@altlinux.ru> 0.5.4-alt1
- new version

* Wed Aug 17 2005 Anton Farygin <rider@altlinux.ru> 0.5.3-alt9
- umask for iso9660 removed

* Wed Aug 17 2005 Anton Farygin <rider@altlinux.ru> 0.5.3-alt8
- initscript priority changed from 98 to 47 (for running after dm)
- added default (for UTF-8) charset policy for fat filesystems

* Mon Aug 08 2005 Anton Farygin <rider@altlinux.ru> 0.5.3-alt7
- more options for vfat and ntfs (#7551)
- fixed filelist (#7576)

* Wed Aug 03 2005 Anton Farygin <rider@altlinux.ru> 0.5.3-alt6
- postun scriptlet removed (#7454)

* Fri Jul 22 2005 Anton Farygin <rider@altlinux.ru> 0.5.3-alt5
- added key disable_force_umount for storage

* Thu Jul 21 2005 Anton Farygin <rider@altlinux.ru> 0.5.3-alt4
- storage-policy: fixed managed key 
- storage-policy: revert back changes for subfs (moved to submountd package)

* Sun Jul 17 2005 Anton Farygin <rider@altlinux.ru> 0.5.3-alt3
- added policy and scripts for mounting subfs
- renamed mountpoint for cd devices to cdrom

* Thu Jul 14 2005 Anton Farygin <rider@altlinux.ru> 0.5.3-alt2
- --retain-privileges added to initscript (#7362)

* Wed Jul 13 2005 Anton Farygin <rider@altlinux.ru> 0.5.3-alt1
- new version
- added patch for allowed sting type options for mount (like fs=cdfss)

* Wed Mar 23 2005 Anton Farygin <rider@altlinux.ru> 0.4.7-alt3
- initscript stop/start fixed

* Tue Feb 08 2005 Anton Farygin <rider@altlinux.ru> 0.4.7-alt2
- storage-policy: added comment=managed mount option

* Wed Jan 26 2005 Anton Farygin <rider@altlinux.ru> 0.4.7-alt1
- 0.4.7
- added noexec, nosuid, nodev to default mount options
- don't use volume label for mount point names
- fixed pci.ids location (#6011)
- service haldaemon renamed to hal (#5995)

* Wed Jan 26 2005 Anton Farygin <rider@altlinux.ru> 0.4.4-alt5
- added patch for build with kernel-headers-std26-up
- removed requires to gnome-common

* Sun Jan 23 2005 Alexey Morozov <morozov@altlinux.org> 0.4.4-alt4
- Removed several reduntant dependencies, build- and installtime,
  made hal-manager be less demanding regarding python
- Replaced kernel-headers-std26-up w/ linux-libc-headers (from PLD)

* Mon Jan 10 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.4.4-alt3
- new libhal{,-devel{,-doc}} subpackages.
- gnome-common, kernel-headers-std26 required for build.
- rewrited haldaemon.

* Mon Jan 10 2005 Vital Khilko <vk@altlinux.ru> 0.4.4-alt2
- minor changes

* Mon Jan 10 2005 Vital Khilko <vk@altlinux.ru> 0.4.4-alt1
- 0.4.4
- added belarusian package description

* Thu Jan 06 2005 Vital Khilko <vk@altlinux.ru> 0.4.2-alt1
- 0.4.2
- added *.desktop and icon file for hal-device-manager
- two specs merged
- added belarusian translation
- set textrel=relaxed

* Tue Dec 14 2004 Alexey Morozov <morozov@altlinux.org> 0.4.1-alt1
- Initial build for ALTLinux (taken from PLD)
